{
  "criteria": {
    "requirement": {
      "trigger": "minecraft:player_hurt_entity",
      "conditions": {
        "damage": {
          "source_entity": {
            "type": "minecraft:player",
            "equipment": {
              "mainhand": {
                "items": "#minecraft:pickaxes"
              }
            }
          }
        },
        "entity": {
          "nbt": "{Tags:[mineable]}"
        }
      }
    }
  },
  "rewards": {
    "function": "survivalplus:mobs/mineable"
  }
}